Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7183 - Can't build bind-8.2.2_P5 on i386
Summary: Can't build bind-8.2.2_P5 on i386
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: bind
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-20 21:20 UTC by Alec Voropay
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-11-21 11:37:34 UTC


Attachments (Terms of Use)

Description Alec Voropay 1999-11-20 21:20:52 UTC
I can not build bind-8.8.2_P5-1.src.rpm on RedHat 5.2 i386
(gcc 2.7.2.3, kernel 2.2.13) platform.

make[2]: Entering directory
 `/usr/src/redhat/BUILD/bind-8.2.2_P5/src/bin/nslookup'

Lot of link errors like this :

xxx.o: In function `yyy_yyy':
xxx.o(.text+0x56f): undefined reference to `__p_class'
xxx.o(.text+0x57e): undefined reference to `__p_type'
xxx.o(.text+0x5a6): undefined reference to `__p_time'
xxx.o(.text+0xb2d): undefined reference to `__p_time'
xxx.o(.text+0xb50): undefined reference to `__p_time'
xxx.o(.text+0xb70): undefined reference to `__p_time'
xxx.o(.text+0xb93): undefined reference to `__p_time'
xxx.o(.text+0xff4): undefined reference to `__p_type'
xxx.o(.text+0x102b): undefined reference to `__p_time'

make[2]: Leaving directory
 `/usr/src/redhat/BUILD/bind-8.2.2_P5/src/bin/nslookup'
make[1]: *** [nslookup] Error 2

The bind-8.2.2_P3-0.5.2.i386 are buit OK.

Could you make RawHide's bind-8.2.2_P5 more
platform-independent ?

Comment 1 Bernhard Rosenkraenzer 1999-11-21 11:37:59 UTC
Remove the glibc 2.1 patches from the .spec file and it will most probably work.
Raw Hide RPMs will generally compile and work on Raw Hide - some patches
conflict with old releases.

Comment 2 Alec Voropay 1999-11-21 18:14:59 UTC
I removed glibc2.1 patch from bind.spec and got the same error. :-(

As a result, I compiled bind-8.2.2_P5 (on my RedHat 5.2 i386) from
pure sources (from ftp://ftp.isc.org) WITHOUT any RedHat's patches
and got fully working bind...

 I have not RedHat 6.1 (glibc2.1 based) now, but I expect, pure
sources will work. Please, check you bind's pathes.

Comment 3 Alec Voropay 1999-11-21 19:59:59 UTC
YES! I found it!

rawhide/SRPMS/SRPMS/bind-8.2.2_P5-1.src.rpm

See:
SPECS/bind.spec:78  substitution of $RPM_OPT_FLAGS
SOURCES/bind-8.1.2-rh.patch:5 $RPM_OPT_FLAGS

As a result, during compilaion (rpm -bc) on my system :
$RPM_OPT_FLAGS = '-O2 -fno-strenght-reduce'

But pure bind's sources are compiled with options : '-O -g' .

I do not know why, but 'gcc -O2 -fno-strenght-reduce'
on RedHat 5.2 i386 compiles bind incorrectly.
At the same time 'gcc -O -g' works fine.

Could you change gcc's options in future bind-8.2.2_P2-2 ?


Note You need to log in before you can comment on or make changes to this bug.